<launch>
  <node pkg="joy" exec="joy_node">
    <param from="$(find-pkg-share osp_teleop)/config/osp_teleop.yaml" />
  </node>

  <node name="robot_state_publisher" pkg="robot_state_publisher" exec="robot_state_publisher">
    <param name="robot_description" value="$(command 'cat $(find-pkg-share osp_teleop)/urdf/osp_teleop.urdf')"/>
  </node>

  <node name="joint_state_publisher_gui" pkg="joint_state_publisher_gui" exec="joint_state_publisher_gui">
    <param name="robot_description" value="$(command 'cat $(find-pkg-share osp_teleop)/urdf/osp_teleop.urdf')"/>
  </node>

  <node name="rviz2" pkg="rviz2" exec="rviz2">
  </node>
</launch>